#!/usr/bin/perl -w

use strict;
use OpenIsis;
use parse_format;
use Text::Iconv;
use Data::Dumper;

Text::Iconv->raise_error(1);     # Conversion errors raise exceptions
my $codepage = Text::Iconv->new('852','iso-8859-2');

my $row = {
          '981' => [ '^aSlubena dokumentacija RH' ],
          '225' => [ '^aSjednice Sabora' ],
          '712' => [ '^3011492^aHrvatski sabor' ],
          '710' => [ '^3011801^aHrvatska narodna banka' ],
          '210' => [ '^aZagreb^cHrvatski sabor^d2000' ],
          '102' => [ '^aHR' ],
          '607' => [ '^3025257^aHrvatska' ],
          '606' => [ '^3000916^abankarski sustav', '^3001926^adevizne priuve' ],
          '990' => [ '^aH10.0=Sabor.sjd-M:004317' ],
          '200' => [ '^aIzvjee o stanju financijskog i bankarskog sustava Republike Hrvatske u 1990. godini s osvrtom na devizne priuve NBJ, dug SFRJ i "staru" deviznu tednju^f[Hrvatska narodna banka]' ],
          '900' => [ '004317' ],
          'mfn' => 1,
	  '101' => [ '^ahrv' ],
          '300' => [ '^aIzvjee podneseno na 8. sjednici Zastupnikog doma Hrvatskog dravnog sabora' ]
};

my $fmt = 'eval{"225a" eq "pero"}900 101a';
$fmt = 'eval{v102^a eq "HR" && v607^3 == "025257"}900 101a';

my ($d,$s) = parse_format('isis', $fmt ,$row, 0, $codepage);

print "d: $d s: $s\n";
