#!/usr/bin/perl -w

# this utility emulates output of openisis -db "database"
# so you can test if perl can read your isis file

#use strict;
use OpenIsis;

my $db = OpenIsis::open( shift @ARGV || '/data/isis_data/bug/LIBRI/' );
my $maxmfn = OpenIsis::maxRowid( $db ) || 1;

print "rows: $maxmfn\n\n";

for (my $mfn = 1; $mfn <= $maxmfn; $mfn++) {
	print "0\t$mfn\n";
	my $row = OpenIsis::read( $db, $mfn );
	foreach my $k (keys %{$row}) {
		print "$k\t",join("\n$k\t",@{$row->{$k}}),"\n";
	}
	print "\n";
}

